# Copyright (C) 2022 MicroSys Electronics GmbH
# Author: Kay Potthoff <kay.potthoff@microsys.de>

inherit allarch package

DESCRIPTION = "Firmware blobs for use with the Linux kernel"
SECTION = "kernel"
LICENSE = "Proprietary"
LIC_FILES_CHKSUM = "file://LICENCE.iwlwifi_firmware;md5=2ce6786e0fc11ac6e36b54bb9b799f1b"

FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"
PATCHTOOL = "git"

SRC_URI = "git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git;nobranch=1"
SRCREV = "cd01f857da28abc170ebf19216945873ec7d5fec"

#PREMIRRORS:prepend = " git://.*/.* git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git \n"
PREMIRRORS:prepend = " git://.*/.* https://kernel.googlesource.com/pub/scm/linux/kernel/git/firmware/linux-firmware.git \n"
PREMIRRORS:prepend = " git://.*/.* https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git \n"

S = "${WORKDIR}/git"

INTEL_WIFI_AX2XX_FW_VERSION ?= "71"

do_patch[noexec] = "1"
do_configure[noexec] = "1"
do_compile[noexec] = "1"

do_install() {
    install -m 0755 -d ${D}/lib/firmware

    # Firmware for Intel Wi-Fi 6 AX210:
    install -m 0644 ${S}/iwlwifi-ty-a0-gf-a0-${INTEL_WIFI_AX2XX_FW_VERSION}.ucode ${D}/lib/firmware
    install -m 0644 ${S}/iwlwifi-ty-a0-gf-a0.pnvm ${D}/lib/firmware

    # Firmware for Intel Wi-Fi 6 AX200:
    install -m 0644 ${S}/iwlwifi-cc-a0-${INTEL_WIFI_AX2XX_FW_VERSION}.ucode ${D}/lib/firmware
}

do_clean() {
    rm -fr ${D}/lib/firmware
}

FILES_${PN} += "/lib/firmware"
